@function headings($from:1, $to:6) {
    @if $from==$to {
        @return 'h#{$from}';
    }
    @else {
        @return 'h#{$from},'+headings($from+1, $to);
    }
}

/// Mobile Screen
/// @access private
/// @group Breakpoints
/// @author Rawan Bekheet
$breakpoints-xs: 320;
/// Tablet Screen
/// @access private
/// @group Breakpoints
/// @author Rawan Bekheet
$breakpoints-sm: 768;
/// Laptop Screen
/// @access private
/// @group Breakpoints
/// @author Rawan Bekheet
$breakpoints-md: 1024;
/// Desktop Screen
/// @access private
/// @group Breakpoints
/// @author Rawan Bekheet
$breakpoints-lg: 1440;
/// Breakpoint Map
/// @access private
/// @group Breakpoints
/// @author Rawan Bekheet
$breakpoints: (mobile: $breakpoints-xs * 1px,
tablet: $breakpoints-sm * 1px,
small_desktop: $breakpoints-md * 1px,
large_desktop: $breakpoints-lg * 1px);

$there-is-no-higher-breakpoint: 9999em;

$allowed-breakpoint-targets: inspect(map-keys($breakpoints));

/// Translate the named breakpoints to number in pixels according to the mapping
/// @group Breakpoints
/// @author Rawan Bekheet
/// @access public
/// @param $target The name of the breakpoint we want to map
/// @return {number} The target mapped to the breakpoint
@function get-breakpoint($target) {
    $breakpoint: map-get($breakpoints, $target);

    @if $breakpoint==null {
        @warn("You tried to respond_to '#{$target}'. Please use one of these available breakpoints - #{$allowed-breakpoint-targets}");
    }

    @return $breakpoint;
}

/// Get the closest next breakpoint of the current target
/// @group Breakpoints
/// @author Rawan Bekheet
/// @access public
/// @param $target The current breakpoint we want to map
/// @return {number} The closest next target mapped to the breakpoint
/// @example scss - Get the next breakpoint of the tablet screen
///     @media (max-width: get-next-breakpoint(tablet)) {
///            //Do Something
///     }
///
@function get-next-breakpoint($target) {
    $possible-nexts: ();
    $next-breakpoint: null;

    @each $breakpoint,
    $value in $breakpoints {
        @if $breakpoint==$target or length($possible-nexts)>0 {
            $possible-nexts: append($possible-nexts, $breakpoint);
        }
    }

    @if length($possible-nexts)>1 {
        $next-breakpoint: nth($possible-nexts, 2);

        @return map-get($breakpoints, $next-breakpoint);
    }

    @return $there-is-no-higher-breakpoint;
}